#!/usr/bin/env python3

import Utils
from Cheetah.Template import Template
import time
import os
import re
import sys

xml_content = Template(file="sitemap.xml_tmpl")
# TODO: using the most recent <date> or <update_date> from the files would be
# more realistic but also much more time-consuming.
xml_content.updated = time.strftime("%Y-%m-%dT%H:%M:00Z", time.gmtime(time.time()))
xml_content.program = os.path.basename(sys.argv[0])

def usage(msg=None):
    sys.stderr.write ("Usage: %s " % (sys.argv[0]))
    if msg is not None:
        sys.stderr.write (": %s" % msg)
    sys.stderr.write ("\n")
    
if len(sys.argv) != 1:
    usage()
    sys.exit(1)

print(xml_content.respond())
