<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

  <xsl:import href="common.xsl"/>
  
  <xsl:output omit-xml-declaration="yes"/>

  <xsl:template match="entry">
    <h2><xsl:value-of select="@title"/></h2>
    <p>
      <xsl:apply-templates select="date"/><br/>
      <xsl:if test="update_date">
        <xsl:apply-templates select="update_date"/><br/>
      </xsl:if>
    </p>
    <hr />
    <xsl:apply-templates select="summary"/>
  </xsl:template>
  
</xsl:stylesheet>

