<?xml version='1.0'?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                version='1.0'>

  <xsl:output method="xml" encoding="iso-8859-1"/>

  <xsl:template match="LINUXDOC">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="ARTICLE">
    <entry><xsl:attribute name="title"><xsl:value-of select="TITLEPAG/TITLE/text()"/></xsl:attribute><content><xsl:apply-templates/></content></entry>
  </xsl:template>
  
  <xsl:template match="ABSTRACT">
    <summary><xsl:apply-templates/></summary>
  </xsl:template>
  
  <xsl:template match="TITLEPAG">
  </xsl:template>
  
  <xsl:template match="P">
    <p><xsl:apply-templates/></p><xsl:text>&#10;</xsl:text><xsl:text>&#10;</xsl:text>
  </xsl:template>
  
  <xsl:template match="URL">
    <link><xsl:attribute name="url"><xsl:value-of select="@URL"/></xsl:attribute><xsl:value-of select="@NAME"/></link>
  </xsl:template>
  
  <xsl:template match="AUTHOR">
  </xsl:template>
  
  <xsl:template match="HEADING">
    <xsl:apply-templates/>
  </xsl:template>
  
  <xsl:template match="SECT">
    <xsl:apply-templates/>
  </xsl:template>
  
</xsl:stylesheet>

